from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class ValidationType(IntEnum):
    ANY = auto()
    WHOLE = auto()
    DECIMAL = auto()
    DATE = auto()
    TIME = auto()
    TEXT_LEN = auto()
    LIST = auto()
    CUSTOM = auto()
